org.springframework.cloud.dataflow.server.service.impl

## Class ResourceDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<org.springframework.core.io.Resource>
  - - org.springframework.cloud.dataflow.server.service.impl.ResourceDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider

      public class ResourceDeserializer
      extends com.fasterxml.jackson.databind.JsonDeserializer<org.springframework.core.io.Resource>

  Custom Jackson deserializer used to convert the URL of a resource (as it has been serialized) back to a Resource
  Since:
    2.3
  Author:
    Michael Minella

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceDeserializer(AppResourceCommon appResourceCommon)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.core.io.Resource` | `deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext deserializationContext)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceDeserializer

          public ResourceDeserializer(AppResourceCommon appResourceCommon)

  - ### Method Detail

    - #### deserialize

          public org.springframework.core.io.Resource deserialize(com.fasterxml.jackson.core.JsonParser jsonParser,
                                                                  com.fasterxml.jackson.databind.DeserializationContext deserializationContext)
                                                           throws IOException,
                                                                  com.fasterxml.jackson.core.JsonProcessingException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<org.springframework.core.io.Resource>`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.